/**
 * Copyright 中国电信甘肃万维公司 All rights reserved.
 * 中国电信甘肃万维公司 专有/保密源代码,未经许可禁止任何人通过任何* 渠道使用、修改源代码.
 */
package com.gsww.plugin.protocol;

import java.util.Map;

import com.gsww.plugin.domain.HeadInfo;
import com.gsww.plugin.domain.ResInfo;
import com.gsww.plugin.utils.JSONUtil;

public class ProtocolHelper {

	public static ResInfo parserResProJson(String json){
		ResInfo resInfo;
		if (json != null && !json.equals("")) {
		    resInfo = new ResInfo();
		    Map<String, Map<String, Object>> res = JSONUtil.readJsonToMapObj(json);
			resInfo.setHeadInfo(parserHead(res));
			resInfo.setResMap(parserResList(res));
			return resInfo;
		} else {
			//服务器连接失败
			resInfo = new ResInfo();
			HeadInfo headInfo=new HeadInfo();
			headInfo.setInfo("");
			headInfo.setMsg("服务器连接失败");
			resInfo.setHeadInfo(headInfo);
			return resInfo;
		}
	}
	
	public static HeadInfo parserHead(Map<String, Map<String, Object>> res){
		try {
			HeadInfo headInfo = new HeadInfo();
			Map<String, Object> headObj = res.get("head");
			if(headObj!=null){
				headInfo.setInfo(headObj.get("info").toString());
				headInfo.setMsg(headObj.get("msg").toString());
			}else{
				headInfo.setInfo("");
				headInfo.setMsg("服务器连接失败");
			}
			return headInfo;
		} catch (Exception e) {
			e.printStackTrace();
			return null;
		}
	}
	
	public static Map<String, Object> parserResList(Map<String, Map<String, Object>> res){
		try {
			Map<String, Object> reslist = res.get("paramList");
			return reslist;
		} catch (Exception e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
			return null;
		}
	}
}
