package com.gsww.plugin.utils;


import java.io.InputStream;
import java.util.Properties;

/**
 * 读入配置文件 将getPropertyByStr方法改为静态方法，新加入getPropertyByInt方法
 * 
 * @author zhaowt
 */
public final class ReadProperties {

	private static final Properties properties;

	static {
		properties = new Properties();
		InputStream stream = ReadProperties.class
				.getResourceAsStream("/client.properties");
		try {
			properties.load(stream);
		} catch (Exception e) {
			e.printStackTrace();
		}
		properties.putAll(System.getProperties());
	}

	/**
	 * 取得配置文件的对象值
	 * 
	 * @param propertyName
	 * @return
	 */
	public static String getPropertyByStr(String propertyName) {
		return String.valueOf(ReadProperties.properties.get(propertyName)).trim();
	}

	/**
	 * @param propertyName
	 *            :对象名称
	 * @return 对象值 取得配置文件的对象值
	 */
	public static int getPropertyByInt(String propertyName) {
		return Integer.parseInt(ReadProperties.getPropertyByStr(propertyName));
	}
}
