package com.gsww.plugin.utils;

import java.util.regex.Matcher;
import java.util.regex.Pattern;

/**
 * 正则表达式验证工具类
 * @author PC_ZHAO
 *
 */
public class RegularUtil {
	/**
	 * 方法描述 : 电信手机号码校验
	 * @param phone
	 * @return
	 */
	public static boolean TelecomPhoneCheck(String phone) {
		String regxpForHtml = "^((1[35]3)|(18[09]))\\d{8}$"; // 电信手机校验
		Pattern pattern = Pattern.compile(regxpForHtml);
		Matcher matcher = pattern.matcher(phone);
		boolean result1 = matcher.find();
		if (result1) {
			return true;
		} else {
			return false;
		}
	}
	//只允许输入英文字符，数字和下划线
	public static boolean charNoCheck(String text){
		String reg="^w+$";
		Pattern pattern = Pattern.compile(reg);
		Matcher matcher = pattern.matcher(text);
		boolean res = matcher.find();
		if (res) {
			return true;
		} else {
			return false;
		}
	}
	/**
	 * 手机号码
	 *  移动：134、135、136、137、138、139、150、151、157(TD)、158、159、187、188
　        *　联通：130、131、132、152、155、156、185、186
　　  *   电信：133、153、180、189、（1349卫通）
	 * @param phone
	 * @return
	 */
	public static boolean phoneCheck(String phone){
//		Pattern pattern=Pattern.compile("^((13[0-9])|(15[^4,\\D])|(18[0-9]))\\d{8}$"); 
		Pattern pattern=Pattern.compile("^\\d{11}$");
		Matcher matcher = pattern.matcher(phone);
		boolean res = matcher.find();
		if (res) {
			return true;
		} else {
			return false;
		}
	}
	/**
     * 根据传入的正则表达式数组里的内容，判断传入的字符串是否符合正则表达式的要求
     * @param checkedStr -- 传入的要被检查的字符串
     * @param regStr -- 要匹配的正则表达式数组
     * @return -- 如果符合正则表达式的要求，返回true;如果不符合正则表达式的要求，返回false
     */
	public static Boolean checkEmail(final String checkedStr, final String[] regStr){
		Boolean res = false;
    	for(String s : regStr){
    		if(checkedStr.matches(s)){
    			res = true;
    			break;
    		}
    	}
    	return res;
	}
	/**
	 * 特殊字符验证
	 * @param characters
	 * @return
	 */
	public static Boolean checkchar(String characters){
		Pattern pattern=Pattern.compile("[`~!@#$%^&*()+=|{}':;',\\[\\].<>/?~！@#￥%……&*（）——+|{}【】‘；：”“’。，、？]"); 
		Matcher matcher = pattern.matcher(characters);
		boolean res = matcher.find();
		if (res) {
			return true;
		} else {
			return false;
		}
	}
    	

}
